Index: libcfa/src/concurrency/cofor.hfa
===================================================================
--- libcfa/src/concurrency/cofor.hfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/cofor.hfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -33,9 +33,9 @@
 
 void main( cofor_runner & this ) with(this) {
-    while ( !done || !items`isEmpty ) {
+    while ( ! done || ! isEmpty( items ) ) {
 		lock( mutex_lock );
-        runner_node * node = &try_pop_front( items );
+        runner_node * node = &remove_first( items );
 		unlock( mutex_lock );
-		if ( !node )
+		if ( ! node )
 			continue;
         func( node->value );
Index: libcfa/src/concurrency/coroutine.cfa
===================================================================
--- libcfa/src/concurrency/coroutine.cfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/coroutine.cfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Mon Nov 28 12:27:26 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Mon Sep 18 21:47:12 2023
-// Update Count     : 25
+// Last Modified On : Fri Apr 25 06:48:19 2025
+// Update Count     : 31
 //
 
@@ -82,8 +82,8 @@
 // helper for popping from coroutine's ehm buffer
 static nonlocal_exception * pop_ehm_head( coroutine$ * this ) {
-    lock( this->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
-    nonlocal_exception * nl_ex = pop_head( this->ehm_state.ehm_buffer );
-    unlock( this->ehm_state.buffer_lock );
-    return nl_ex;
+	lock( this->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
+	nonlocal_exception * nl_ex = pop_head( this->ehm_state.ehm_buffer );
+	unlock( this->ehm_state.buffer_lock );
+	return nl_ex;
 }
 
@@ -97,5 +97,5 @@
 
 void __stack_prepare( __stack_info_t * this, size_t create_size );
-static void __stack_clean  ( __stack_info_t * this );
+static void __stack_clean( __stack_info_t * this );
 
 //-----------------------------------------------------------------------------
@@ -105,5 +105,5 @@
 
 	// Did we get a piece of storage ?
-	if (this.storage || storageSize != 0) {
+	if ( this.storage || storageSize != 0 ) {
 		// We either got a piece of storage or the user asked for a specific size
 		// Immediately create the stack
@@ -128,30 +128,29 @@
 	state = Start;
 	starter = 0p;
-	last = 0p;
+	this.last = 0p;
 	cancellation = 0p;
-    ehm_state.ehm_buffer{};
-    ehm_state.buffer_lock{};
-    ehm_state.ehm_enabled = false;
-}
-
-void ^?{}(coroutine$& this) libcfa_public {
-    // handle any leftover pending non-local exceptions
-    nonlocal_exception * nl_ex = pop_ehm_head( &this );
-    unsigned unhandled_ex = 0;
-    
-    // if any leftover exceptions handle 
-    while ( nl_ex != 0p ){
-        unhandled_ex++;
-        free( nl_ex->the_exception );
-        free( nl_ex );
-        nl_ex = pop_ehm_head( &this );
-    }
-
-    #ifdef __CFA_DEBUG__
-    if ( unhandled_ex > 0 )
-        printf( "Warning: Coroutine %p exited with %u pending nonlocal exceptions.\n", &this, unhandled_ex );
-    #endif
-
-	if(this.state != Halted && this.state != Start && this.state != Primed) {
+	ehm_state.ehm_buffer{};
+	ehm_state.buffer_lock{};
+	ehm_state.ehm_enabled = false;
+}
+
+void ^?{}( coroutine$ & this ) libcfa_public {
+	// handle any leftover pending non-local exceptions
+	nonlocal_exception * nl_ex = pop_ehm_head( &this );
+	unsigned unhandled_ex = 0;
+
+	// if any leftover exceptions handle 
+	for ( ; nl_ex != 0p; nl_ex = pop_ehm_head( &this ) ) {
+		unhandled_ex++;
+		free( nl_ex->the_exception );
+		free( nl_ex );
+	}
+
+	#ifdef __CFA_DEBUG__
+	if ( unhandled_ex > 0 )
+		printf( "Warning: Coroutine %p exited with %u pending nonlocal exceptions.\n", &this, unhandled_ex );
+	#endif
+
+	if ( this.state != Halted && this.state != Start && this.state != Primed ) {
 		coroutine$ * src = active_coroutine();
 		coroutine$ * dst = &this;
@@ -174,18 +173,18 @@
 // Part of the Public API
 // Not inline since only ever called once per coroutine
-forall(T & | is_coroutine(T) | { EHM_DEFAULT_VTABLE(CoroutineCancelled(T)); })
-void prime(T& cor) libcfa_public {
-	coroutine$* this = get_coroutine(cor);
-	assert(this->state == Start);
+forall( T & | is_coroutine(T) | { EHM_DEFAULT_VTABLE(CoroutineCancelled(T)); } )
+void prime( T & cor ) libcfa_public {
+	coroutine$ * this = get_coroutine(cor);
+	assert( this->state == Start );
 
 	this->state = Primed;
-	resume(cor);
+	resume( cor );
 }
 
 static [void *, size_t] __stack_alloc( size_t storageSize ) {
 	const size_t stack_data_size = libCeiling( sizeof(__stack_t), 16 ); // minimum alignment
-	assert(__page_size != 0l);
+	assert( __page_size != 0l );
 	size_t size = libCeiling( storageSize, 16 ) + stack_data_size;
-	size = ceiling(size, __page_size);
+	size = ceiling( size, __page_size );
 
 	// If we are running debug, we also need to allocate a guardpage to catch stack overflows.
@@ -193,5 +192,5 @@
 	#if CFA_COROUTINE_USE_MMAP
 		storage = mmap(0p, size + __page_size, PROT_EXEC | PROT_READ | PROT_WRITE, MAP_PRIVATE | MAP_ANONYMOUS, 0, 0);
-		if(storage == ((void*)-1)) {
+		if (storage == ((void*)-1)) {
 			abort( "coroutine stack creation : internal error, mmap failure, error(%d) %s.", errno, strerror( errno ) );
 		}
@@ -227,5 +226,5 @@
 		size_t size = ((intptr_t)this->storage->base) - ((intptr_t)this->storage->limit) + sizeof(__stack_t);
 		storage = (void *)(((intptr_t)storage) - __page_size);
-		if(munmap(storage, size + __page_size) == -1) {
+		if (munmap(storage, size + __page_size) == -1) {
 			abort( "coroutine stack destruction : internal error, munmap failure, error(%d) %s.", errno, strerror( errno ) );
 		}
@@ -248,5 +247,5 @@
 	void * storage;
 	size_t size;
-	if ( !this->storage ) {
+	if ( ! this->storage ) {
 		userStack = false;
 		[storage, size] = __stack_alloc( create_size );
@@ -302,5 +301,5 @@
 		athrd->corctx_flag = false;
 
-		if(cor->state == Primed) {
+		if (cor->state == Primed) {
 			__cfactx_suspend();
 		}
@@ -317,6 +316,6 @@
 
 void defaultResumeAtHandler( exception_t * except ) {
-    __cfaehm_allocate_exception( except );
-    __cfaehm_begin_unwind( (void(*)(exception_t *))defaultTerminationHandler );
+	__cfaehm_allocate_exception( except );
+	__cfaehm_begin_unwind( (void(*)(exception_t *))defaultTerminationHandler );
 }
 
@@ -328,19 +327,17 @@
 
 bool poll( coroutine$ * cor ) libcfa_public {
-    nonlocal_exception * nl_ex = pop_ehm_head( cor );
-
-    // if no exceptions return false
-    if ( nl_ex == 0p ) return false;
-    
-    // otherwise loop and throwResume all pending exceptions
-    while ( nl_ex != 0p ){
+	nonlocal_exception * nl_ex = pop_ehm_head( cor );
+
+	// if no exceptions return false
+	if ( nl_ex == 0p ) return false;
+	
+	// otherwise loop and throwResume all pending exceptions
+	for ( ; nl_ex != 0p; nl_ex = pop_ehm_head( cor ) ) {
 		ehm_cleanup ex_holder{ nl_ex->the_exception };
-        free( nl_ex );
-        __cfaehm_throw_resume( ex_holder.ex , defaultResumeAtHandler );
-        
-        nl_ex = pop_ehm_head( cor );
-    }
-    
-    return true;
+		free( nl_ex );
+		__cfaehm_throw_resume( ex_holder.ex , defaultResumeAtHandler );
+	}
+	
+	return true;
 }
 
@@ -354,16 +351,16 @@
 // user facing ehm operations
 forall(T & | is_coroutine(T)) {
-    // enable/disable non-local exceptions
-    void enable_ehm( T & cor ) libcfa_public { get_coroutine( cor )->ehm_state.ehm_enabled = true; }
-    void disable_ehm( T & cor ) libcfa_public { get_coroutine( cor )->ehm_state.ehm_enabled = false; }
-
-    // poll for non-local exceptions
-    bool poll( T & cor ) libcfa_public { return poll( get_coroutine( cor ) ); }
-
-    // poll iff nonlocal ehm is enabled
-    bool checked_poll( T & cor ) libcfa_public { return get_coroutine( cor )->ehm_state.ehm_enabled ? poll( cor ) : false; }
-
-    coroutine$ * resumer( T & cor ) libcfa_public { return get_coroutine( cor )->last; }
-    coroutine$ * first_resumer( T & cor ) libcfa_public { return get_coroutine( cor )->starter; }
+	// enable/disable non-local exceptions
+	void enable_ehm( T & cor ) libcfa_public { get_coroutine( cor )->ehm_state.ehm_enabled = true; }
+	void disable_ehm( T & cor ) libcfa_public { get_coroutine( cor )->ehm_state.ehm_enabled = false; }
+
+	// poll for non-local exceptions
+	bool poll( T & cor ) libcfa_public { return poll( get_coroutine( cor ) ); }
+
+	// poll iff nonlocal ehm is enabled
+	bool checked_poll( T & cor ) libcfa_public { return get_coroutine( cor )->ehm_state.ehm_enabled ? poll( cor ) : false; }
+
+	coroutine$ * resumer( T & cor ) libcfa_public { return get_coroutine( cor )->last; }
+	coroutine$ * first_resumer( T & cor ) libcfa_public { return get_coroutine( cor )->starter; }
 }
 
@@ -371,23 +368,23 @@
 forall(exceptT *, T & | ehm_resume_at( exceptT, T ))
 void resumeAt( T & receiver, exceptT & ex ) libcfa_public {
-    coroutine$ * cor = get_coroutine( receiver );
-    nonlocal_exception * nl_ex = alloc();
-    exceptT * ex_copy = alloc();
-    memcpy( ex_copy, &ex, sizeof(exceptT) );
-    (*nl_ex){ (exception_t *)ex_copy };
-    lock( cor->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
-    append( cor->ehm_state.ehm_buffer, nl_ex ); 
-    unlock( cor->ehm_state.buffer_lock );
+	coroutine$ * cor = get_coroutine( receiver );
+	nonlocal_exception * nl_ex = alloc();
+	exceptT * ex_copy = alloc();
+	memcpy( ex_copy, &ex, sizeof(exceptT) );
+	(*nl_ex){ (exception_t *)ex_copy };
+	lock( cor->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
+	append( cor->ehm_state.ehm_buffer, nl_ex ); 
+	unlock( cor->ehm_state.buffer_lock );
 }
 
 forall(exceptT * | { void $throwResume(exceptT &); })
 void resumeAt( coroutine$ * receiver, exceptT & ex ) libcfa_public {
-    nonlocal_exception * nl_ex = alloc();
-    exceptT * ex_copy = alloc();
-    memcpy( ex_copy, &ex, sizeof(exceptT) );
-    (*nl_ex){ (exception_t *)ex_copy };
-    lock( receiver->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
-    append( receiver->ehm_state.ehm_buffer, nl_ex ); 
-    unlock( receiver->ehm_state.buffer_lock );
+	nonlocal_exception * nl_ex = alloc();
+	exceptT * ex_copy = alloc();
+	memcpy( ex_copy, &ex, sizeof(exceptT) );
+	(*nl_ex){ (exception_t *)ex_copy };
+	lock( receiver->ehm_state.buffer_lock __cfaabi_dbg_ctx2 );
+	append( receiver->ehm_state.ehm_buffer, nl_ex ); 
+	unlock( receiver->ehm_state.buffer_lock );
 }
 
Index: libcfa/src/concurrency/coroutine.hfa
===================================================================
--- libcfa/src/concurrency/coroutine.hfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/coroutine.hfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Mon Nov 28 12:27:26 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Thu Feb  2 11:31:42 2023
-// Update Count     : 13
+// Last Modified On : Fri Apr 25 06:52:04 2025
+// Update Count     : 15
 //
 
@@ -26,7 +26,8 @@
     nonlocal_exception * next;
 };
-static inline void ?{} ( nonlocal_exception & this, exception_t * ex ) with(this) {
+
+static inline void ?{}( nonlocal_exception & this, exception_t * ex ) with(this) {
     the_exception = ex;
-    next = 0p;
+    this.next = 0p;
 }
 
@@ -66,5 +67,5 @@
 // void ^?{}( coStack_t & this );
 
-void  ?{}( coroutine$ & this, const char name[], void * storage, size_t storageSize );
+void ?{}( coroutine$ & this, const char name[], void * storage, size_t storageSize );
 void ^?{}( coroutine$ & this );
 
Index: libcfa/src/concurrency/future.hfa
===================================================================
--- libcfa/src/concurrency/future.hfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/future.hfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Wed Jan 06 17:33:18 2021
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Sun Mar  2 14:45:56 2025
-// Update Count     : 19
+// Last Modified On : Wed Apr 23 22:41:10 2025
+// Update Count     : 22
 //
 
@@ -63,5 +63,5 @@
 		void reset( future(T) & this ) with(this) {
 			lock( lock );
-			if ( ! waiters`isEmpty )
+			if ( ! isEmpty( waiters ) )
 				abort("Attempting to reset a future with blocked waiters");
 			state = FUTURE_EMPTY;
@@ -82,10 +82,10 @@
 
 		bool fulfil$( future(T) & this ) with(this) {	// helper
-			bool ret_val = ! waiters`isEmpty;
+			bool ret_val = ! isEmpty( waiters );
 			state = FUTURE_FULFILLED;
-			while ( ! waiters`isEmpty ) {
+			while ( ! isEmpty( waiters ) ) {
 				if ( !__handle_waituntil_OR( waiters ) ) // handle special waituntil OR case
 					break; // if handle_OR returns false then waiters is empty so break
-				select_node &s = try_pop_front( waiters );
+				select_node &s = remove_first( waiters );
 
 				if ( s.clause_status == 0p )			// poke in result so that woken threads do not need to reacquire any locks
@@ -208,7 +208,7 @@
 
 		bool unregister_select( future(T) & this, select_node & s ) with(this) {
-			if ( ! s`isListed ) return false;
-			lock( lock );
-			if ( s`isListed ) remove( s );
+			if ( ! isListed( s ) ) return false;
+			lock( lock );
+			if ( isListed( s ) ) remove( s );
 			unlock( lock );
 			return false;
Index: libcfa/src/concurrency/invoke.h
===================================================================
--- libcfa/src/concurrency/invoke.h	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/invoke.h	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -10,6 +10,6 @@
 // Created On       : Tue Jan 17 12:27:26 2016
 // Last Modified By : Peter A. Buhr
-// Last Modified On : Wed Aug 30 21:27:51 2023
-// Update Count     : 60
+// Last Modified On : Wed Apr 23 15:27:18 2025
+// Update Count     : 61
 //
 
@@ -259,5 +259,5 @@
         }
 
-		static inline thread$ * volatile & ?`next ( thread$ * this ) {
+		static inline thread$ * volatile & next( thread$ * this ) {
 			return this->user_link.next;
 		}
Index: libcfa/src/concurrency/io.cfa
===================================================================
--- libcfa/src/concurrency/io.cfa	(revision c5e1aa6010a41c286b6f179da6348411941b89b2)
+++ libcfa/src/concurrency/io.cfa	(revision 579427b5dae492c357e172f3e2f17af585f77f00)
@@ -95,5 +95,5 @@
 	static inline void __post(oneshot & this, bool kernel, unpark_hint hint) {
 		thread$ * t = post( this, false );
-		if(kernel) __kernel_unpark( t, hint );
+		if (kernel) __kernel_unpark( t, hint );
 		else unpark( t, hint );
 	}
@@ -108,5 +108,5 @@
 			// do the system call in a loop, repeat on interrupts
 			ret = syscall( __NR_io_uring_enter, ctx.fd, ctx.sq.to_submit, min_comp, flags, (sigset_t *)0p, _NSIG / 8);
-			if( ret < 0 ) {
+			if ( ret < 0 ) {
 				switch((int)errno) {
 				case EINTR:
@@ -154,9 +154,9 @@
 			const __u32 tail = *ctx->cq.tail;
 
-			if(head == tail) return false;
+			if (head == tail) return false;
 		}
 
 		// try a simple spinlock acquire, it's likely there are completions to drain
-		if(!__atomic_try_acquire(&ctx->cq.try_lock)) {
+		if ( ! __atomic_try_acquire(&ctx->cq.try_lock)) {
 			// some other processor already has it
 			__STATS__( false, io.calls.locked++; )
@@ -214,5 +214,5 @@
 
 			// we finished draining the completions... unless the ring buffer was full and there are more secret completions in the kernel.
-			if(likely(count < num)) break;
+			if (likely(count < num)) break;
 
 			// the ring buffer was full, there could be more stuff in the kernel.
@@ -243,5 +243,5 @@
 
 		// if submitting must be submitted, do the system call
-		if(ctx.sq.to_submit != 0) {
+		if (ctx.sq.to_submit != 0) {
 			ioring_syscsll(ctx, 0, 0);
 		}
@@ -278,5 +278,5 @@
 			// only help once every other time
 			// pick a target when not helping
-			if(proc->io.target == UINT_MAX) {
+			if (proc->io.target == UINT_MAX) {
 				uint64_t chaos = __tls_rand();
 				// choose who to help and whether to accept helping far processors 
@@ -285,5 +285,5 @@
 
 				// if the processor is on the same cache line or is lucky ( 3 out of 256 odds ) help it
-				if(ext < 3 || __atomic_load_n(&caches[other / __shard_factor.io].id, __ATOMIC_RELAXED) == this_cache) {
+				if (ext < 3 || __atomic_load_n(&caches[other / __shard_factor.io].id, __ATOMIC_RELAXED) == this_cache) {
 					proc->io.target = other;
 				}
@@ -294,5 +294,5 @@
 				/* paranoid */ verify( io.tscs[target].t.tv != ULLONG_MAX );
 				// make sure the target hasn't stopped existing since last time
-				HELP: if(target < ctxs_count) {
+				HELP: if (target < ctxs_count) {
 					// calculate it's age and how young it could be before we give up on helping
 					const __readyQ_avg_t cutoff = calc_cutoff(ctsc, ctx->cq.id, ctxs_count, io.data, io.tscs, __shard_factor.io, false);
@@ -300,5 +300,5 @@
 					__cfadbg_print_safe(io, "Kernel I/O: Help attempt on %u from %u, age %'llu vs cutoff %'llu, %s\n", target, ctx->cq.id, age, cutoff, age > cutoff ? "yes" : "no");
 					// is the target older than the cutoff, recall 0 is oldest and bigger ints are younger
-					if(age <= cutoff) break HELP;
+					if (age <= cutoff) break HELP;
 
 					// attempt to help the submission side
@@ -306,8 +306,8 @@
 
 					// attempt to help the completion side
-					if(!try_acquire(io.data[target])) break HELP; // already acquire no help needed
+					if ( ! try_acquire(io.data[target])) break HELP; // already acquire no help needed
 
 					// actually help
-					if(!__cfa_do_drain( io.data[target], cltr )) break HELP;
+					if ( ! __cfa_do_drain( io.data[target], cltr )) break HELP;
 
 					// track we did help someone
@@ -322,5 +322,5 @@
 
 		// Drain the local queue
-		if(try_acquire( proc->io.ctx )) {
+		if (try_acquire( proc->io.ctx )) {
 			local = __cfa_do_drain( proc->io.ctx, cltr );
 		}
@@ -390,5 +390,5 @@
 
 		// If we don't have enough sqes, fail
-		if((ftail - fhead) < want) { return false; }
+		if ((ftail - fhead) < want) { return false; }
 
 		// copy all the indexes we want from the available list
@@ -422,5 +422,5 @@
 
 		// We can proceed to the fast path
-		if( __alloc(ctx, idxs, want) ) {
+		if ( __alloc(ctx, idxs, want) ) {
 			// Allocation was successful
 			__STATS__( true, io.alloc.fast += 1; )
@@ -456,5 +456,5 @@
 	// barebones logic to submit a group of sqes
 	static inline void __submit_only( struct io_context$ * ctx, __u32 idxs[], __u32 have, bool lock) {
-		if(!lock) 
+		if ( ! lock) 
 			lock( ctx->ext_sq.lock __cfaabi_dbg_ctx2 );
 		// We can proceed to the fast path
@@ -478,5 +478,5 @@
 		__atomic_store_n(&ctx->proc->io.dirty  , true, __ATOMIC_RELAXED);
 
-		if(!lock) 
+		if ( ! lock) 
 			unlock( ctx->ext_sq.lock );
 	}
@@ -487,9 +487,9 @@
 		__submit_only(ctx, idxs, have, false);
 
-		if(sq.to_submit > 30) {
+		if (sq.to_submit > 30) {
 			__tls_stats()->io.flush.full++;
 			__cfa_io_flush( ctx->proc );
 		}
-		if(!lazy) {
+		if ( ! lazy ) {
 			__tls_stats()->io.flush.eager++;
 			__cfa_io_flush( ctx->proc );
@@ -503,5 +503,5 @@
 
 		disable_interrupts();
-		__STATS__( true, if(!lazy) io.submit.eagr += 1; )
+		__STATS__( true, if ( ! lazy ) io.submit.eagr += 1; )
 		struct processor * proc = __cfaabi_tls.this_processor;
 		io_context$ * ctx = proc->io.ctx;
@@ -510,5 +510,5 @@
 
 		// Can we proceed to the fast path
-		if( ctx == inctx )		// We have the right instance?
+		if ( ctx == inctx )		// We have the right instance?
 		{
 			// yes! fast submit
@@ -564,5 +564,5 @@
 		__u32 count = chead - phead;
 
-		if(count == 0) {
+		if (count == 0) {
 			return 0;
 		}
@@ -594,5 +594,5 @@
 		lock( queue.lock __cfaabi_dbg_ctx2 );
 		{
-			was_empty = queue.queue`isEmpty;
+			was_empty = isEmpty( queue.queue );
 
 			// Add our request to the list
@@ -632,5 +632,5 @@
 	// notify the arbiter that new allocations are available
 	static void __ioarbiter_notify( io_arbiter$ & this, io_context$ * ctx ) {
-		/* paranoid */ verify( !this.pending.queue`isEmpty );
+		/* paranoid */ verify( ! isEmpty( this.pending.queue ) );
 		/* paranoid */ verify( __preemption_enabled() );
 
@@ -642,14 +642,14 @@
 			// as long as there are pending allocations try to satisfy them
 			// for simplicity do it in FIFO order
-			while( !this.pending.queue`isEmpty ) {
+			while( ! isEmpty( this.pending.queue ) ) {
 				// get first pending allocs
 				__u32 have = ctx->sq.free_ring.tail - ctx->sq.free_ring.head;
-				__pending_alloc & pa = (__pending_alloc&)(this.pending.queue`first);
+				__pending_alloc & pa = (__pending_alloc&)( first( this.pending.queue ));
 
 				// check if we have enough to satisfy the request
-				if( have > pa.want ) goto DONE;
+				if ( have > pa.want ) goto DONE;
 
 				// if there are enough allocations it means we can drop the request
-				try_pop_front( this.pending.queue );
+				remove_first( this.pending.queue );
 
 				/* paranoid */__attribute__((unused)) bool ret =
@@ -676,5 +676,5 @@
 	// short hand to avoid the mutual exclusion of the pending is empty regardless
 	static void __ioarbiter_notify( io_context$ & ctx ) {
-		if(empty( ctx.arbiter->pending )) return;
+		if (empty( ctx.arbiter->pending )) return;
 		__ioarbiter_notify( *ctx.arbiter, &ctx );
 	}
@@ -700,5 +700,5 @@
 		// if this is the first to be enqueued, signal the processor in an attempt to speed up flushing
 		// if it's not the first enqueue, a signal is already in transit
-		if( we ) {
+		if ( we ) {
 			sigval_t value = { PREEMPT_IO };
 			__cfaabi_pthread_sigqueue(ctx->proc->kernel_thread, SIGUSR1, value);
@@ -716,5 +716,5 @@
 	static void __ioarbiter_flush( io_context$ & ctx, bool kernel ) {
 		// if there are no external operations just return
-		if(empty( ctx.ext_sq )) return;
+		if ( empty( ctx.ext_sq ) ) return;
 
 		// stats and logs
@@ -727,7 +727,7 @@
 			// pop each operation one at a time.
 			// There is no wait morphing because of the io sq ring
-			while( !ctx.ext_sq.queue`isEmpty ) {
+			while( ! isEmpty( ctx.ext_sq.queue ) ) {
 				// drop the element from the queue
-				__external_io & ei = (__external_io&)try_pop_front( ctx.ext_sq.queue );
+				__external_io & ei = (__external_io&)remove_first( ctx.ext_sq.queue );
 
 				// submit it
